Ubuntu: обновление Ruby 1.9 => 2.2

Автор: | 10/27/2015
 

ubuntu_logo_130В Ubuntu 14.04 по умолчанию установлен:

# ruby -v
ruby 1.9.3p484 (2013-11-22 revision 43786) [x86_64-linux]

Для установки и работы Capistrano требуется Ruby версии >= 2.0.

Устанавливаем пакет python-software-properties:

# apt-get install python-software-properties

Добавляем репозиторий Brightbox Cloud:

# apt-add-repository ppa:brightbox/ruby-ng

Обновляем список пакетов:

# apt-get update

Устанавливаем Ruby 2.2 и пакет ruby-switch для управления версиями:

# apt-get install ruby2.2 ruby-switch
...
he following NEW packages will be installed:
 libruby2.2 ruby-switch ruby2.2 rubygems-integration
...

Проверяем:

# ruby --version
ruby 2.2.3p173 (2015-08-18 revision 51636) [x86_64-linux-gnu]

Проверяем:

# ruby-switch --check
Currently using: ruby2.2
------------------------

ruby    -> /usr/bin/ruby2.2
gem     -> /usr/bin/gem2.2

Если ruby --version возвращает 1.9 — выполните:

# ruby-switch --set ruby2.2

Готово.